Bug 92641 - Parentheses order wrong when a line with text direction Right-to-left starts with LTR characters
Summary: Parentheses order wrong when a line with text direction Right-to-left starts ...
Status: RESOLVED DUPLICATE of bug 60533
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2015-07-09 07:10 UTC by Ofir
Modified: 2018-03-03 05:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
ODP presentation showing the issue (13.47 KB, application/vnd.oasis.opendocument.presentation)
2015-07-09 07:10 UTC, Ofir
Details
PDF exported from LO 4.4.4.3 (17.42 KB, application/pdf)
2015-07-09 07:10 UTC, Ofir
Details
PPTX with mixed RTL and LTR text on the same line (29.36 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-07-12 23:58 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2015-07-09 07:10:07 UTC
Created attachment 117140 [details]
ODP presentation showing the issue

When a line with text-direction Right-to-left starts with LTR characters the parentheses order is wrong.

In the attached ODP both lines have text-direction Right-to-left.
The first line starts with LTR characters which move the parentheses to the wrong position.
The second line starts with RTL characters and the parentheses position is good.

Tested with LO stable 4.4.4.3 and pre-release 5.0.0.2 on both Windows 7 and Ubuntu 14.04.
Comment 1 Ofir 2015-07-09 07:10:52 UTC
Created attachment 117141 [details]
PDF exported from LO 4.4.4.3
Comment 2 Joel Madero 2015-07-12 16:46:39 UTC
I'm no expert on RTL/LTR stuff but I see the issue. I'm not sure if it's "proper" to mix LTR and RTL the way the user is requesting to do.

That being said I'm requesting Khaled's input here as he knows this stuff better than I do.

@Khaled - sorry for the private poke but you mind confirming that this is an issue.



Setting version to "inherited from OOo" as I've confirmed the "issue" on 3.3.
Comment 3 Khaled Hosny (inactive) 2015-07-12 21:52:21 UTC
This does not look like an expected behaviour of applying bidi algorithm, so I think it is a bug.
Comment 4 Ofir 2015-07-12 22:23:58 UTC
@Joel, mixing English with RTL language like Hebrew or Arabic in the same line is common in presentations for higher education.
For example, our use case is presentations in the area of Medicine and Biology that use the local language while the technical terms are in English.
Comment 5 Maxim Monastirsky 2015-07-12 22:49:58 UTC
Yes, it doesn't seem good, but at least there is a workaround. You should place the cursor right after the middle word בבב and go to Insert->Formatting Mark->Left-to-right mark. That's highly inconvenient (and buggy), but it's better than nothing.
Comment 6 Joel Madero 2015-07-12 22:56:04 UTC
Per Khaled's remarks - marking as NEW (confirmed)

Minor - apparently there's a workaround which makes this minor;
Low - default for minor bugs

Note: The priority/severity doesn't dictate what gets fixed, it just is an objective way of classifying the bugs. If there is no workaround please set to Normal - Medium, else Minor is appropriate. Thanks!
Comment 7 Ofir 2015-07-12 23:38:42 UTC
I agree that while editing there is a workaround but we are using LO to convert PowerPoint presentations to PDF from the command line and this issue makes mixed lines in the output hard to read.
Comment 8 Ofir 2015-07-12 23:58:27 UTC
Created attachment 117196 [details]
PPTX with mixed RTL and LTR text on the same line

This PPTX show that the wrong brackets order happens also when importing from PowerPoint.
Comment 9 QA Administrators 2016-09-20 10:13:56 UTC Comment hidden (obsolete)
Comment 10 Khaled Hosny (inactive) 2016-09-21 07:54:18 UTC
Comment on attachment 117140 [details]
ODP presentation showing the issue

Still an issue.
Comment 11 Omer Zak 2017-11-09 07:14:57 UTC
The same behavior is seen also in:

Version: 6.0.0.0.alpha1+
Build ID: 6070dec9ca9a15587a2aece81f9ae1ab5ac0f8c4
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group
(Build from 2017-Nov-05 00:00)

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)


However, I believe that it is not a bug.
If I do at the beginning of the line starting with LTR character:

  Insert > Formatting Mark > Right-to-left mark

Then the parenthesis order is right. In effect, the above makes the line start with a RTL character.
Comment 12 Ofir 2017-11-10 00:22:21 UTC
Omer, this is a bug. Try to load the attached PPTX in Impress and compare it to PowerPoint.
Comment 13 Mark Hung 2018-03-03 05:33:39 UTC

*** This bug has been marked as a duplicate of bug 60533 ***